Fórum Debian

Versão Completa: Boot Gráfico No Debian
Você está atualmente visualizando uma versão simplificada do conteúdo. Visualizar a versão completa com formatação.
Páginas: 1 2
Caso queira deixar o boot do seu Debian gráfico, veja esse tutorial no nosso wiki: http://wiki.forumdebian.com.br/index.php/Splashy
gostei da sua dica funciona aqui no meu micro apesar q prefiro ver o boot modo texto
Achei interessante, mas quando rodo o "dpkg -i splashy_0.3.2_i386.deb". Ele fala que não consegue instala, pois depende de uma lib do próprio splashy.
Então eu rodo o "apt-get -f install" e ele diz que vai remover o splashy...
Como resolvo isso?
Abraço!
qual lib tá faltando? não dá pra instalar com o apt?
quanto a informação de remover o splashy, é normal, pois está faltando uma dependência...assim que vc instalar a lib que tá faltando o dpkg será concluído!
Deve ser a libsplashy0 que também está faltando no meu Debian Etch e não consigo encontrar.
engraçado que isso não aconteceu comigo....o splashy funcionou direitinho...bom, em relação a lib que tá faltando, não sei se vai funcionar, mas vc pode tentar instalar a lib que tem no repositório do ubuntu...baixe ela aqui....
http://ubuntu.c3sl.ufpr.br/ubuntu/pool/ ... 2_i386.deb
Amigo marcelo essa libsplashy0 do ubuntu num deu olha as dependências.

Xblade:/home/adilson# dpkg -i libsplashy0_0.3.2_i386.deb
Selecionando pacote previamente não selecionado libsplashy0.
(Lendo banco de dados ... 121283 arquivos e diretórios atualmente instalados.)
Descompactando libsplashy0 (de libsplashy0_0.3.2_i386.deb) ...
dpkg: problemas de dependência impedem configuração de libsplashy0:
libsplashy0 depende de libc6 (>= 2.5-0ubuntu1); porém:
Versão de libc6 no sistema é 2.3.6.ds1-13.
libsplashy0 depende de libglib2.0-0 (>= 2.12.9); porém:
Versão de libglib2.0-0 no sistema é 2.12.4-2.
dpkg: erro processando libsplashy0 (--install):
problemas de dependência - deixando desconfigurado
Erros foram encontrados durante processamento de:
libsplashy0
bom, essas duas lib vc pode instalar via apt, usando os repositórios do etch mesmo...execute o seguinte:

#apt-get install libc6 libglib2.0-0

Depois tente instalar novamente a libsplashy...se der certo, instale posteriomente os pacotes do splashy citados no wiki...
Galera, só pra conhecimento, o parece haver uma solução no post abaixo...
http://www.forumdebian.com.br/topico-33 ... highlight=
É esta mesma lib, porém não tem nos repositórios, vou tentar com esta que você nos enviou.
Obrigado!
Consegui com sua dica, quando eu instalei a lib que estava faltando, instalou perfeitamente e depois instalou com perfeição o splashy.

Abraços!
Apenas não estou conseguindo mudar o tema do splashy, fiz como postou o fernando mudando em /etc/splashy/config.xml na linha:
<current_theme>default</current_theme>
deixiei assim:
<current_theme>debian3</current_theme>

Mas num funciona fincando em somente texto
profpardal,

Você poderia postar o arquivo /etc/splashy/config.xml e o arquivo de configuração de grub ou lilo ( dependendo de qual você utiliza )?

O pacote splashy-themes_0.1.8.1-1_all.deb foi instalado corretamente?
Profpardal, além do /et/splasy/conf.xml você configurou o grub ou lilo?
A linha do seu arquivo tá correta....dê uma olhada no seu boot....
Para exemplificar, vou postar os meus arquivos.....

Meu arquivo /boot/grub/menu.lst

Citar:title Debian GNU/Linux, kernel 2.6.15-1-686
root (hd0,0)
kernel /boot/vmlinuz-2.6.15-1-686 root=/dev/hda1 ro quiet splash vga=791
initrd /boot/initrd.img-2.6.15-1-686
savedefault
boot



<?xml version="1.0" encoding="UTF-8"?>
<!-- Automatically generated by splashy_config. Do not edit -->
<splashy>
<!-- themes directory: conventional path /etc/splashy/themes -->
<themes>/etc/splashy/themes</themes>
<!-- current theme could be relative the themes defined above or full path -->
<current_theme>Marcelo</current_theme>
<!-- full path to theme to fall back in case of problems. DO NOT CHANGE -->
<default_theme>/etc/splashy/themes/default</default_theme>
<fifo>/etc/splashy/splashy.fifo</fifo>
<pid>/etc/splashy/splashy.pid</pid>
</splashy>
Sobre outros temas não funcionar, acho que sei o porque.
Aqui aconteceu a mesma coisa, só estava funcionando o tema default, então comparei ele com os outros e vi que as imagens dos outros era em .jpg e dele em .png transformei e editei o arquivo do tema e funcionou!
Páginas: 1 2
URL de Referência